<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note Lab 4 Card List</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  
    <style>
      * {
        box-sizing: border-box;
        margin: 5px;
        padding: 5px;
      }

      li, a {
        font-weight: 500;
        text-decoration: none;
      }

      header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        font-weight: 400;
      }

      .nav_links {
        list-style: none;
      }

      .nav_links li {
        display: inline-block;
        padding: 0 20px;
        color: black;
      }

      .nav_links li a {
        transition: all 0.2 ease 0s;
      }

      .nav_links li a:hover {
        color : #000000
      }

      .card {
        box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
        transition: 0.3s;
        width: 40%;
        border-radius: 5px;
      }
      
      .card:hover {
        box-shadow: 8px 8px 16px 16px rgba(0,0,0,0.2);
        background-color: rgb(252, 236, 206);
      }
      
      img {
        border-radius: 5px 5px 0 0;
      }
      
      .container {
        padding: 2px 16px;
      }
      </style>

  </head>
  <body>  

    <header>
      <nav>
        <ul class = "nav_links">
          <li><a href="/lab-4/add-note/">Note Form</a></li>
          <li><a href="/lab-4/">Note Table View</button></a></li>
          <li><a href="/lab-4/note-list/">Note Card List View</a></li>
        </ul>
      </nav>
    </header>

    <h1>Note Card List</h1>

    {% for e in notes %}
      <div class="card">
        <tr>
          <h4> To      : {{ e.to }} </h3>
          <h4> From    : {{ e.From }} </h3>
          <h5> Title   : {{ e.title }} </h4>
          <p> Message : </p>
          <p> {{ e.message }} </p>
        </tr>
      </div>
      <p></p>
    {% endfor %}
   
  </body>
</html>
